| clk_wiz Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XClk_Wiz Struct Reference
Overview

The XClk_Wiz driver instance data. More...

## Data Fields
XClk_Wiz_Config | Config
| GUI Configuration. More...
u32 | ClkWizIntrStatus
| Clock Stop, Clock Overrun, Clock Underrun, Clock Glitch Interrupt Status. More...
u32 | ClkIntrEnable
| Interrupt enable for Clock Stop, Clock Overrun, Clock Underrun, Clock Glitch. More...
XClk_Wiz_CallBack | ClkOutOfRangeCallBack
| Callback for Clock out of range Under flow .or over flow. More...
void * | ClkOutOfRangeRef
| To be passed to the clock out of range call back. More...
XClk_Wiz_CallBack | ClkGlitchCallBack
| Callback for Clock Glitch. More...
void * | ClkGlitchRef
| To be passed to the clock glitch call back. More...
XClk_Wiz_CallBack | ClkStopCallBack
| Callback for Clock stop. More...
void * | ClkStopRef
| To be passed to the clock stop call back. More...
XClk_Wiz_CallBack | ErrorCallBack
| Call back function for rest all errors. More...
void * | ErrRef
| To be passed to the Error Call back. More...
u32 | IsReady
| Driver is ready. More...

## Detailed Description

The XClk_Wiz driver instance data.

An instance must be allocated for each CLK_WIZ in use.

## Field Documentation

XClk_Wiz_CallBack XClk_Wiz::ClkGlitchCallBack

Callback for Clock Glitch.

Referenced by XClk_Wiz_CfgInitialize(), XClk_Wiz_IntrHandler(), and XClk_Wiz_SetCallBack().

void* XClk_Wiz::ClkGlitchRef

To be passed to the clock glitch call back.

Referenced by XClk_Wiz_IntrHandler(), and XClk_Wiz_SetCallBack().

u32 XClk_Wiz::ClkIntrEnable

Interrupt enable for Clock Stop, Clock Overrun, Clock Underrun, Clock Glitch.

Referenced by XClk_Wiz_GetInterruptSettings().

XClk_Wiz_CallBack XClk_Wiz::ClkOutOfRangeCallBack

Callback for Clock out of range Under flow .or over flow.

Referenced by XClk_Wiz_CfgInitialize(), XClk_Wiz_IntrHandler(), and XClk_Wiz_SetCallBack().

void* XClk_Wiz::ClkOutOfRangeRef

To be passed to the clock out of range call back.

Referenced by XClk_Wiz_IntrHandler(), and XClk_Wiz_SetCallBack().

XClk_Wiz_CallBack XClk_Wiz::ClkStopCallBack

Callback for Clock stop.

Referenced by XClk_Wiz_CfgInitialize(), XClk_Wiz_IntrHandler(), and XClk_Wiz_SetCallBack().

void* XClk_Wiz::ClkStopRef

To be passed to the clock stop call back.

Referenced by XClk_Wiz_IntrHandler(), and XClk_Wiz_SetCallBack().

u32 XClk_Wiz::ClkWizIntrStatus

Clock Stop, Clock Overrun, Clock Underrun, Clock Glitch Interrupt Status.

Referenced by XClk_Wiz_GetInterruptSettings().

XClk_Wiz_Config XClk_Wiz::Config

GUI Configuration.

Referenced by ClkWiz_IntrExample(), XClk_Wiz_CfgInitialize(), XClk_Wiz_DisableClock(), XClk_Wiz_EnableClock(), XClk_Wiz_GetRate(), XClk_Wiz_SetInputRate(), XClk_Wiz_SetRate(), and XClk_Wiz_SetRateHz().

XClk_Wiz_CallBack XClk_Wiz::ErrorCallBack

Call back function for rest all errors.

Referenced by XClk_Wiz_CfgInitialize(), and XClk_Wiz_SetCallBack().

void* XClk_Wiz::ErrRef

To be passed to the Error Call back.

Referenced by XClk_Wiz_SetCallBack().

u32 XClk_Wiz::IsReady

Driver is ready.

Referenced by XClk_Wiz_CfgInitialize(), XClk_Wiz_DisableClock(), XClk_Wiz_EnableClock(), XClk_Wiz_IntrHandler(), XClk_Wiz_SetCallBack(), XClk_Wiz_SetInputRate(), XClk_Wiz_SetLeafRateHz(), XClk_Wiz_SetMinErr(), XClk_Wiz_SetRate(), XClk_Wiz_SetRateHz(), and XClk_Wiz_WaitForLock().